Index: bgpd/bgp_aspath.c
--- bgpd/bgp_aspath.c.orig	2003-11-04 19:00:42.000000000 +0100
+++ bgpd/bgp_aspath.c	2003-11-27 09:46:59.000000000 +0100
@@ -1170,7 +1170,7 @@
 
   as = (struct aspath *) backet->data;
 
-  vty_out (vty, "[%p:%d] (%ld) ", backet, backet->key, as->refcnt);
+  vty_out (vty, "[%p:%u] (%ld) ", backet, backet->key, as->refcnt);
   vty_out (vty, "%s%s", as->str, VTY_NEWLINE);
 }
 
Index: lib/vty.h
--- lib/vty.h.orig	2003-11-04 19:00:42.000000000 +0100
+++ lib/vty.h	2003-11-27 09:46:59.000000000 +0100
@@ -129,7 +129,7 @@
 };
 
 /* Integrated configuration file. */
-#define INTEGRATE_DEFAULT_CONFIG "Zebra.conf"
+#define INTEGRATE_DEFAULT_CONFIG "zebra.conf.integrate"
 
 /* Small macro to determine newline is newline only or linefeed needed. */
 #define VTY_NEWLINE  ((vty->type == VTY_TERM) ? "\r\n" : "\n")
Index: zebra/ioctl.c
--- zebra/ioctl.c.orig	2003-11-04 19:00:42.000000000 +0100
+++ zebra/ioctl.c	2003-11-27 09:46:59.000000000 +0100
@@ -349,6 +349,7 @@
   int ret;
   struct ifreq ifreq;
 
+  bzero(&ifreq, sizeof(struct ifreq));
   ifreq_set_name (&ifreq, ifp);
 
   ifreq.ifr_flags = ifp->flags;
@@ -371,6 +372,7 @@
   int ret;
   struct ifreq ifreq;
 
+  bzero(&ifreq, sizeof(struct ifreq));
   ifreq_set_name (&ifreq, ifp);
 
   ifreq.ifr_flags = ifp->flags;
@@ -473,6 +475,9 @@
   mask.sin6_len = sizeof (struct sockaddr_in6);
 #endif
   memcpy (&addreq.ifra_prefixmask, &mask, sizeof (struct sockaddr_in6));
+
+  addreq.ifra_lifetime.ia6t_vltime = 0xffffffff;
+  addreq.ifra_lifetime.ia6t_pltime = 0xffffffff;
   
   addreq.ifra_lifetime.ia6t_pltime = ND6_INFINITE_LIFETIME; 
   addreq.ifra_lifetime.ia6t_vltime = ND6_INFINITE_LIFETIME; 
